## GSimpleIOStream GSimpleIOStream — A wrapper around an input and an output stream. |

## Functions

GIOStream * | g_simple_io_stream_new ()

## Properties

GInputStream * | input-stream | Read / Write / Construct Only
GOutputStream * | output-stream | Read / Write / Construct Only

## Types and Values

| GSimpleIOStream

## Object Hierarchy

        GObject
        ╰── GIOStream
            ╰── GSimpleIOStream

## Includes

    #include <gio/gio.h>

## Description

GSimpleIOStream creates a GIOStream from an arbitrary GInputStream and GOutputStream. This allows any pair of input and output streams to be used with GIOStream methods.

This is useful when you obtained a GInputStream and a GOutputStream by other means, for instance creating them with platform specific methods as `g_unix_input_stream_new()` or `g_win32_input_stream_new()`, and you want to take advantage of the methods provided by GIOStream.

## Functions

### g_simple_io_stream_new ()

    GIOStream *
    g_simple_io_stream_new (GInputStream *input_stream,
                            GOutputStream *output_stream);

Creates a new GSimpleIOStream wrapping `input_stream` and `output_stream` . See also GIOStream.

#### Parameters

input_stream | a GInputStream. |
output_stream | a GOutputStream. |

#### Returns

a new GSimpleIOStream instance.

Since 2.44

## Types and Values

### GSimpleIOStream

    typedef struct _GSimpleIOStream GSimpleIOStream;

A wrapper around a GInputStream and a GOutputStream.

Since 2.44

## Property Details

### The `“input-stream”` property

      “input-stream”             GInputStream *

The GInputStream to read from.

Flags: Read / Write / Construct Only

Since 2.44

### The `“output-stream”` property

      “output-stream”            GOutputStream *

The GOutputStream to write to.

Flags: Read / Write / Construct Only

Since 2.44

## See Also

GIOStream